Bug 187725 - foomatic IEEE 1284 Device ID
foomatic IEEE 1284 Device ID
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On: 187703
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 04:53 EDT by Tim Waugh
Modified: 2008-09-03 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 05:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-04-03 04:53:46 EDT
+++ This bug was initially created as a clone of Bug #187703 +++

Description of problem:

Installed FC5, and setup printer for printing. Printer is able to print locally. 
Started system-config-printer to try and get printer to share:

Got error message
No match for USB device:
  mfr "Brother"
  model "HL-1850_1870N series"
  desc ""
  cmdset "PJL,PCL,PCLXL,POSTSCRIPT"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

Clicked on printer, clicked on sharing 
Clicked on "This queue is available to other computers"
Added 192.168.1.0/255.255.255.0
Clicked OK  [Closed network window]
Clicked OK  [Closed share window]
Clicked OK [ Closed "Edit a print quueue"]
Clicked APPLY
Checked netstat -natp
  Saw that cups was still listening on localhost only.
  Checked /etc/cups/ file and saw that nothing was there that I had put in.

Restarted tool, repeated steps
Redid the changes and put in /24 instead. Saw this get changed to 255.255.255.0
Cups began listening on all networks.
Weird.

-- Additional comment from twaugh@redhat.com on 2006-04-03 04:52 EST --
There are two unrelated issues here:

1. That sharing a queue did not work, and
2. That your printer is not automatically detected
Comment 1 Tim Waugh 2006-04-03 04:54:45 EDT
This is number 2.
Comment 2 Tim Waugh 2006-04-03 13:15:43 EDT
What's the full printer model name of this device?
Comment 4 petrosyan 2008-03-11 12:50:23 EDT
Tim you are the reporter of this bug. Are you asking this question to yourself?
Comment 5 Tim Waugh 2008-03-11 12:59:26 EDT
Apparently, yes.  Added CC for the person I meant to ask.

Just to repeat: what's the full printer model name of this device?
Comment 6 Derek Atkins 2008-03-11 13:05:31 EDT
Hi.  I don't think I'm the correct person for this bug.  I don't have a Brother
printer.
Comment 7 Tim Waugh 2008-03-11 13:15:09 EDT
Derek: my apologies.  I added you because you were on the CC list for bug
#187703; in fact I should have added the reporter of that bug instead (now done).
Comment 8 Bug Zapper 2008-04-03 22:31:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.